    <!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>年度预算</title>
    <link rel="stylesheet" th:href="@{/lib/layui/css/layui.css}" media="all">
    <link rel="stylesheet" th:href="@{/css/public.css}" media="all">
    <link rel="stylesheet" th:href="@{/lib/font-awesome-4.7.0/css/font-awesome.min.css}" media="all">
</head>
<body>
<div class="layuimini-container">
    <div class="layuimini-main">
        <fieldset class="table-search-fieldset">
            <legend>搜索信息(<b>收起-展开</b>)</legend>
            <div id="search-div" style="margin: 5px 10px -10px 0px">
                <form class="layui-form" action="" lay-filter="search-form">
                    <div class="layui-form-item">
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 60px">项目名称</label>
                            <div class="layui-input-inline" style="width: 145px">
                                <input type="text" id="xmmc" name="xmmc" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 60px">ERP编号</label>
                            <div class="layui-input-inline" style="width: 145px">
                                <input type="text" id="erpbh" name="erpbh" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 60px">年份</label>
                            <div class="layui-input-inline" style="width: 145px">
                                <select name="nf" id="nf" lay-filter="status">
                                    <option value="">全部</option>
                                    <option th:each="item:${yearList}" th:text="${item.nf}"
                                            th:value="${item.nf}"></option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 60px">审批状态</label>
                            <div class="layui-input-inline" style="width: 145px">
                                <select name="spzt" id="spzt" lay-filter="status">
                                    <option value="">全部</option>
                                    <option th:each="item:${approveList}" th:text="${item.name}"
                                            th:value="${item.name}"></option>
                                </select>
                            </div>
                        </div>
                        <br/>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 60px">项目类型</label>
                            <div class="layui-input-inline" style="width: 145px">
                                <select name="xmlx" id="xmlx" lay-filter="status">
                                    <option value="">全部</option>
                                    <option th:each="item:${xmlxList}" th:text="${item.name}"
                                            th:value="${item.code}"></option>
                                </select>
                            </div>
                        </div>

                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 60px">所属部门</label>
                            <div class="layui-input-inline" style="width: 145px"><!--
                                <input type="text" id="ssbmmc" name="ssbmmc" autocomplete="off" class="layui-input">-->
                                <select name="ssbmmc" id="ssbmmc" lay-filter="status">
                                    <option value="">全部</option>
                                    <option th:each="item:${dept}" th:text="${item.deptName}"
                                            th:value="${item.deptName}"></option>
                                </select>
                            </div>
                        </div>

                       <!-- <div class="layui-inline">
                            <label class="layui-form-label" style="width: 60px">任务书</label>
                            <div class="layui-input-inline" style="width: 145px">
                                <input type="text" id="rwsmc" name="rwsmc" autocomplete="off" class="layui-input">
                            </div>
                        </div>-->

                        <div class="layui-inline" style="margin-left: 0px">
                            <button type="submit" class="layui-btn" lay-submit lay-filter="data-search-btn"><i
                                    class="layui-icon"></i> 搜 索
                            </button>
                            <button type="submit" class="layui-btn layui-btn-primary" lay-submit
                                    lay-filter="data-reset-btn"><i class="layui-icon layui-icon-refresh"></i> 重 置
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </fieldset>

        <script type="text/html" id="toolbarDemo">
            <div class="layui-btn-container">
                <button class="layui-btn layui-btn-sm data-add-btn" lay-event="add">
                    <i class="layui-icon layui-icon-addition" style="font-size: 10px;"></i>新建
                </button>
                <button class="layui-btn layui-btn-sm layui-btn-normal" lay-event="edit">
                    <i class="layui-icon layui-icon-edit" style="font-size: 10px;"></i>编辑
                </button>
                <button class="layui-btn layui-btn-sm layui-btn-normal" lay-event="view">
                    <i class="layui-icon layui-icon-file" style="font-size: 10px;"></i>查看
                </button>
                <button class="layui-btn layui-btn-sm layui-btn-danger" lay-event="delete">
                    <i class="layui-icon layui-icon-delete" style="font-size: 10px;"></i>删除
                </button>
                <button class="layui-btn layui-btn-sm data-add-btn" lay-event="tjApprove">
                    <i class="layui-icon layui-icon-ok" style="font-size: 10px;"></i>提交审批
                </button>
                <button class="layui-btn layui-btn-sm data-add-btn" lay-event="tjrevokeApprove">
                    <i class="layui-icon layui-icon-edit" style="font-size: 10px;"></i>撤销审批
                </button>
                <!--                <button class="layui-btn layui-btn-sm layui-btn-normal" lay-event="spOption">-->
                <!--                    <i class="layui-icon layui-icon-edit" style="font-size: 10px;"></i>审核-->
                <!--                </button>-->
                <button class="layui-btn layui-btn-sm layui-btn-normal" lay-event="spList">
                    <i class="layui-icon layui-icon-list" style="font-size: 10px;"></i>审批列表
                </button>
                <button class="layui-btn layui-btn-sm data-add-btn" lay-event="updateApply">
                    <i class="layui-icon layui-icon-list" style="font-size: 10px;"></i>修改申请
                </button>
                <button class="layui-btn layui-btn-sm data-add-btn" lay-event="viewUpdateApply">
                    <i class="layui-icon layui-icon-list" style="font-size: 10px;"></i>查看修改申请进度
                </button>
            </div>
        </script>
        <table class="layui-hide" id="currentTableId" lay-filter="currentTableFilter"></table>
    </div>
</div>

<script>
    // 获取所有需要去除空格的输入框
    const inputs = [
        document.getElementById('xmmc'),
        document.getElementById('erpbh'),
        document.getElementById('ssbmmc'),
        document.getElementById('rwsmc')
    ];
    // 为每个输入框添加事件监听
    inputs.forEach(input => {
        input.addEventListener('input', function() {
            this.value = this.value.replace(/\s+/g, ''); // 去除空格
        });
    });
</script>
<script th:src="@{/lib/jquery-3.4.1/jquery-3.4.1.min.js}" charset="utf-8"></script>
<script th:src="@{/lib/layui/layui.js}" charset="utf-8"></script>
<script th:src="@{/lib/coco-message/coco-message.js}" charset="utf-8"></script>
<script th:src="@{/js/lay-config.js}" charset="utf-8"></script>
<script th:src="@{/lib/xm-select-v1.2.2/xm-select.js}" charset="utf-8"></script>
<script th:inline="javascript" type="text/javascript">
    AjaxUtil.ctx = /*[[@{/}]]*/'';
    var updateflag = 0;
    var xmApproval = {};

    layui.use(['form', 'table', 'tableSelect', 'laydate'], function () {
        var form = layui.form
        table = layui.table;
        var userId = $("#userId").val();


        var currTable = table.render({
            elem: '#currentTableId',
            url: AjaxUtil.ctx + 'prjAnnualbudget/mylist',
            method: 'post',
            toolbar: '#toolbarDemo',
            // defaultToolbar: ['filter', 'print'],
            cols: [
                [
                    {type: "checkbox", fixed: 'left'},
                    {type: 'numbers', align: 'center',title: '序号'},
                    {field: 'spzt', width: '7%', title: '审批状态'},
                    {field: 'rwsmc', width: '20%', title: '项目名称'},
                    {field: 'erpbh', width: '8%', title: 'ERP编号'},
                    {field: 'czje', width: '7%',title: '年预算（元）',align: 'right',templet:function (row) {
                        if (row.czje != null){
                            return row.czje.toLocaleString(undefined,{maximumFractionDigits:2,minimumFractionDigits:2});
                        }
                        return '0.00';
                        }},
                    {field: 'sqje', width: '7%',title: '已申请（元）',align: 'right',templet:function (row) {
                        if (row.sqje != null){
                            return row.sqje.toLocaleString(undefined,{maximumFractionDigits: 2,minimumFractionDigits: 2});
                        }
                        return '0.00';
                        }},
                    {field: 'bzze', width: '7%',title: '已报账（元）',align: 'right',templet:function (row) {
                            if (row.bzze != null){
                                return row.bzze.toLocaleString(undefined,{maximumFractionDigits:2,minimumFractionDigits:2});
                            }
                            return '0.00';
                        }},
                    /*{field: 'yfze', width: '7%', title: '已付总额(元)', align: 'right'},*/
                    {templet: function (row) {
                            const czjeValue = Number(row.czje); // 将获取到的值转换为数值类型
                            const bzzeValue = Number(row.bzze);
                            if (bzzeValue > czjeValue){
                                return '数据异常';
                            }
                                if (!isNaN(czjeValue) &&!isNaN(bzzeValue) && bzzeValue!== 0) { // 避免除数为0
                                    const syl =  (bzzeValue / czjeValue) * 100;
                                    return syl.toFixed(2) + '%';// 乘以100转换为百分比形式
                                }
                                return '0%'; // 如果出现异常情况（比如除数为0等），返回默认值0
                        }, width: '7%',title: '使用率（%）',align: 'right'},
                    {field: 'nf', width: '5%', title: '年份'},
                    {field: 'ssbmmc', width: '10%', title: '所属部门'},
                    {field: 'sqrxm', width: '6%', title: '申请人'},
                    {field: 'sqsj', width: '8%', title: '申请时间', align: 'center'},
                    {field: 'xmlxmc', width: '10%', title: '项目类型'},
                    {field: 'xmfzrxm', width: '7%', title: '项目负责人'},
                    {field: 'mc', width: '20%', title: '年度预算名称'},
                   /* {field: 'sm', width: '10%', title: '说明'}*/
                ]
            ],
            autoSort: false,
            limits: [10, 15, 20, 25, 50, 100],
            limit: 10,
            page: true,
            skin: 'grid',
            parseData: function (res) { //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.total, //解析数据长度
                    "data": res.data.rows //解析数据列表
                };
            },
            done: function (res, curr, count) {
/*                //合并单元格字段名
                var mergeField = 'rwsmc';
                //获取表格的 tbody元素
                var tbody = this.elem.next().find('tbody tr');
                var rowspan = 1;
                for (var i = 0;i< tbody.length; i++){
                    // 获取当前行和下一行的指定字段的值
                    var currentCell = $(tbody[i]).find('td[data-field="' + mergeField + '"]');
                    var nextCell = $(tbody[i + 1]) ? $(tbody[i + 1]).find('td[data-field="' + mergeField + '"]') : null;
                    if (nextCell && currentCell.text() === nextCell.text()) {
                        // 如果值相同，隐藏下一行的单元格并增加 rowspan
                        nextCell.hide();
                        rowspan++;
                        currentCell.attr('rowspan', rowspan);
                }else {
                        // 如果值不同，重置 rowspan
                        rowspan = 1;
                    }
                }*/

            }
        });

        // 监听搜索操作
        form.on('submit(data-search-btn)', function (data) {
            // 执行搜索重载
            currTable.reload({
                page: {
                    curr: 1 // 页码从1开始
                },
                where: form.val("search-form")
            });
            return false;
        });

        // 监听重置操作
        form.on('submit(data-reset-btn)', function (data) {
            form.val("search-form", {
                "erpbh": '',
                "xmlx": '',
                "rwsmc": '',
                "ssbmmc": '',
                "nf": '',
                "spzt": '',
                "xmmc": ''
            });
            // 执行搜索重载
            currTable.reload({
                page: {
                    curr: 1
                },
                where: form.val("search-form")
            });
            return false;
        });

        // 监听排序事件e
        table.on('sort(currentTableFilter)', function (obj) { //注：sort 是工具条事件名，test 是 table 原始容器的属性 lay-filter="对应的值"
            // console.log(obj.field); //当前排序的字段名
            // console.log(obj.type); //当前排序类型：desc（降序）、asc（升序）、null（空对象，默认排序）
            // console.log(this); //当前排序的 th 对象
            //尽管我们的 table 自带排序功能，但并没有请求服务端。
            //有些时候，你可能需要根据当前排序的字段，重新向服务端发送请求，从而实现服务端排序，如：
            currTable.reload({
                initSort: obj, //记录初始排序，如果不设的话，将无法标记表头的排序状态。
                where: { //请求参数（注意：这里面的参数可任意定义，并非下面固定的格式）
                    sortName: toLine(obj.field), //排序字段
                    sortOrder: toLine(obj.type) //排序方式
                }
            });
        });

        // 监听工具栏事件
        table.on('toolbar(currentTableFilter)', function (obj) {
            if (obj.event === 'add') {  // 监听添加操作
                layer.open({
                    title: '新建年度预算',
                    type: 2,
                    shade: 0.3,
                    maxmin: true,
                    area: ['1050px', layerheight + 'px'],
                    content: AjaxUtil.ctx + 'prjAnnualbudget/forAdd',
                    end: function () {
                        // 重载表格
                        if (updateflag == 1)
                            currTable.reload();
                        updateflag = 0;
                    }
                });
            } else if (obj.event == 'edit') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要编辑的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行编辑！", 1500);
                } else if (data[0].spzt == "作废") {
                    Message.warning("该年度预算已作废！", 1500);
                }
                    // else if (data[0].spzt == "审批结束") {
                //     Message.warning("该年度预算已审批结束，不能修改！", 1500);}
                else if (data[0].spzt != null && data[0].spzt.indexOf("未提交") < 0) {
                    Message.warning("该年度预算审批中，不能修改！", 1500);
                } else {
                    layer.open({
                        title: '编辑年度预算',
                        type: 2,
                        shade: 0.3,
                        maxmin: true,
                        shadeClose: true,
                        area: ['1010px', layerheight + 'px'],
                        content: AjaxUtil.ctx + 'prjAnnualbudget/forUpdate/' + data[0].id,
                        end: function () {
                            if (updateflag == 1)
                                currTable.reload();
                            updateflag = 0;
                        }
                    });
                }
            } else if (obj.event == 'view') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要查看的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行查看！", 1500);
                } else {
                    layer.open({
                        title: '查看年度预算',
                        type: 2,
                        shade: 0.3,
                        maxmin: true,
                        shadeClose: true,
                        area: ['1010px', layerheight + 'px'],
                        content: AjaxUtil.ctx + 'prjAnnualbudget/forView/' + data[0].id,
                        end: function () {
                        }
                    });
                }
            } else if (obj.event === 'delete') {  // 监听删除操作
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要删除的年度预算！", 1000);
                    return;
                } else {
                    for (let item of data) {
                        if (item.spzt != "未提交") {
                            if (item.spzt == "审批结束")
                                Message.warning("存在已审批结束的年度预算，不能直接删除！", 2000);
                            else if (data[0].spzt != null)
                                Message.warning("存在审批中的年度预算，不能直接删除！", 2000);
                            return;
                        }
                    }
                }
                layer.confirm('确定批量删除年度预算吗？', function (index) {
                    layer.close(index);
                    AjaxUtil.post({
                        url: AjaxUtil.ctx + "prjAnnualbudget/batchDelete",
                        contentType: "application/json",
                        data: JSON.stringify(data),
                        success: function (res) {
                            if (res.code === 0) {
                                Message.success(1500, res.message, function () {
                                    // 重载表格
                                    currTable.reload();
                                });
                            } else {
                                Message.error(res.message, 1000);
                            }
                        },
                        error: function (error) {
                        }
                    });
                });
            } else if (obj.event === 'tjApprove') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要提交审批的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行提交！", 1500);
                } else if (data[0].spzt == "审批结束") {
                    Message.warning("该年度预算已审批结束！", 1500);
                } else if (data[0].spzt == "作废") {
                    Message.warning("该年度预算已作废！", 1500);
                } else if (data[0].spzt != null && data[0].spzt.indexOf("未提交") < 0) {
                    Message.warning("该年度预算正在审批中……", 1500);
                } else {
                    if (isNaN(data[0].ysje) || isNaN(data[0].ysje))
                        Message.error("该完善年度预算明细后提交！", 1500);
                    else {
                        xmApproval = {
                            "xmid": data[0].id,
                            "xm": data[0].mc,
                            "zt": data[0].spzt,
                            "ysje": data[0].ysje
                        };
                        if (data[0].spzt == null) {
                            xmApproval.zt = "未提交";
                            data[0].spzt = "未提交";
                        }

                        var content = AjaxUtil.ctx + 'prjAnnualbudget/forApproveAdd';
                        if (data[0].spzt != "未提交")
                            content = AjaxUtil.ctx + 'prjAnnualbudget/forApproveUpdate/' + data[0].id + '?spzt=' + data[0].spzt;
                        console.log(content);

                        var index = layer.open({
                            title: '提交审批',
                            type: 2,
                            shade: 0.3,
                            maxmin: true,
                            shadeClose: true,
                            area: ['1015px', layerheight + 'px'],
                            content: content,
                            end: function () {
                                if (updateflag == 1)
                                    currTable.reload();
                                updateflag = 0;
                                layer.close(index);
                            }
                        });
                    }
                }
            } else if (obj.event === 'spOption') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要审批的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行审批！", 1500);
                } else if (data[0].spzt == null || data[0].spzt.indexOf("未提交") >= 0) {
                    Message.warning("该年度预算尚未提交审批！", 1500);
                } else if (data[0].spzt == "审批结束") {
                    Message.warning("该年度预算已审批结束！", 1500);
                } else if (data[0].spzt == "作废") {
                    Message.warning("该年度预算已作废！", 1500);
                } else {
                    xmApproval = {
                        "xmid": data[0].id,
                        "xm": data[0].mc,
                        "ysje": data[0].ysje
                    };
                    var index = layer.open({
                        title: '审批意见',
                        type: 2,
                        shade: 0.3,
                        maxmin: true,
                        shadeClose: true,
                        area: ['1020px', layerheight + 'px'],
                        content: AjaxUtil.ctx + 'prjAnnualbudget/forApproveUpdate/' + data[0].id + '?spzt=' + data[0].spzt,
                        end: function () {
                            if (updateflag == 1)
                                currTable.reload();
                            updateflag = 0;
                            layer.close(index);
                        }
                    });
                }
            } else if (obj.event === 'spList') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要查看审批列表的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行查看！", 1500);
                } else if (data[0].spzt == null || data[0].spzt == "未提交") {
                    Message.warning("该年度预算尚未提交审批！", 1500);
                } else {
                    xmApproval = {
                        "xmid": data[0].id,
                        "xm": data[0].mc
                    };
                    var index = layer.open({
                        title: '审批列表',
                        type: 2,
                        shade: 0.3,
                        maxmin: true,
                        shadeClose: true,
                        area: ['1300px', layerheight + 'px'],
                        content: AjaxUtil.ctx + 'prjAnnualbudget/forApproveList',
                        end: function () {
                            layer.close(index);
                        }
                    });
                }
            } else if (obj.event === 'fyApply') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要申请费用的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行申请费用！", 1500);
                } else if (data[0].spzt == null || data[0].spzt.indexOf("未提交") >= 0) {
                    Message.warning("该年度预算尚未提交审批！", 1500);
                } else if (data[0].spzt == "作废") {
                    Message.warning("该年度预算已作废！", 1500);
                } else if (data[0].spzt != null && data[0].spzt != "审批结束" && data[0].spzt.indexOf("未提交") < 0) {
                    Message.warning("该年度预算正在审批中……", 1500);
                }
                else {
                    xmApproval = {
                        "xmid": data[0].rws,
                        "xmmc": data[0].rwsmc
                    };
                    layer.open({
                        title: '新建费用申请',
                        type: 2,
                        shade: 0.3,
                        maxmin: true,
                        area: ['1020px', layerheight + 'px'],
                        content: AjaxUtil.ctx + 'prjAnnualbudget/forApplyAdd/' + data[0].id,
                        end: function () {
                            // 重载表格
                            if (updateflag == 1)
                                currTable.reload();
                            updateflag = 0;
                        }
                    });
                }

            } else if (obj.event === 'tjrevokeApprove') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;
                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要撤销的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行撤销！", 1500);
                } else if (data[0].spzt == "审批结束") {
                    Message.warning("该年度预算已审批结束！", 1500);
                }
                    //else if (data[0].cjr != userId) {
                //  Message.error("您不是该任务书的创建人！", 1500);}
                else {
                    xmApproval = {
                        "xmid": data[0].id,
                        "xm": data[0].zwmc,
                        "zt": "未提交"
                    };
                    if (data[0].spzt == null) {
                        xmApproval.zt = "未提交";
                        data[0].spzt = "未提交";
                    }
                    var project = {
                        "id": xmApproval.xmid,
                        "spzt": '未提交'
                    }
                    layer.confirm('确定撤销年度预算吗？', function (index) {
                        layer.close(index);
                        AjaxUtil.post({
                            url: AjaxUtil.ctx + "prjAnnualbudget/TJrevokeApprove",
                            contentType: "application/json",
                            data: JSON.stringify(project),
                            success: function (res) {

                                if (res.code === 0) {
                                    Message.success(1500, res.message, function () {
                                        // 重载表格

                                        currTable.reload();
                                    });
                                } else {
                                    Message.error(res.message, 1000);
                                }
                            },
                            error: function (error) {
                            }
                        });
                    });
                }
            } else if (obj.event === 'updateApply') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;
                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要修改的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行修改！", 1500);
                } else if (data[0].spzt != "审批结束") {
                    Message.warning("该年度预算还未审批结束！", 1500);
                } else {
                    layer.open({
                        title: '编辑年度预算',
                        type: 2,
                        shade: 0.3,
                        maxmin: true,
                        shadeClose: true,
                        area: ['1010px', layerheight + 'px'],
                        content: AjaxUtil.ctx + 'prjAnnualbudget/forUpdateApply/' + data[0].id,
                        end: function () {
                            if (updateflag == 1)
                                currTable.reload();
                            updateflag = 0;
                        }
                    });                }
            }else if(obj.event === 'viewUpdateApply'){
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                if (data == null || data.length === 0) {
                    Message.warning("请选择要查看审批列表的年度预算！", 1500);
                } else if (data.length > 1) {
                    Message.warning("请选择一条记录进行查看！", 1500);
                } else if (data[0].spzt == null || data[0].spzt == "未提交") {
                    Message.warning("该年度预算尚未提交审批！", 1500);
                } else {
                    xmApproval = {
                        "xmid": data[0].id,
                        "xm": data[0].mc
                    };
                    var index = layer.open({
                        title: '审批列表',
                        type: 2,
                        shade: 0.3,
                        maxmin: true,
                        shadeClose: true,
                        area: ['1300px', layerheight + 'px'],
                        content: AjaxUtil.ctx + 'PrjAnnualBudgetRecord/forApproveList',
                        end: function () {
                            layer.close(index);
                        }
                    });
                }
            }else if (obj.event === 'exportExcel') {
                var dataBudget = table.cache["currentTableId"];
                if (dataBudget.length == 0)
                    return;

                let a = document.createElement('a');
                a.href = AjaxUtil.ctx + 'prjAnnualbudget/exportExcel';
                a.click();
                a.parentNode.removeChild(a);
            }
        });


        //双击
        table.on('rowDouble(currentTableFilter)', function (obj) {
            layer.open({
                title: '查看年度预算',
                type: 2,
                shade: 0.3,
                maxmin: true,
                shadeClose: true,
                area: ['1010px', '900px'],
                content: AjaxUtil.ctx + 'prjAnnualbudget/forView/' + obj.data.id,
                end: function (index) {
                    layer.close(index);
                }
            });
        });
    });

    function getXmApproval() {
        return xmApproval;
    }

    function setUpdateFlag() {
        updateflag = 1;
    }
</script>
</body>
</html>